/**
  ******************************************************************************
  * @file    vkl076.h 
  * @author  kevin_guo
  * @version V1.2
  * @date    05-17-2020
  * @brief   Header files for Vkl076
  ******************************************************************************
  * @attention
  ******************************************************************************
  */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __VKl076_H
#define __VKl076_H

/* Includes ------------------------------------------------------------------*/
//˰ļݿͻƬӦ޸
#include "M451Series.h"
/* Exported types ------------------------------------------------------------*/
/* Exported constants --------------------------------------------------------*/
/* Exported macro ------------------------------------------------------------*/
/* Exported define -----------------------------------------------------------*/
//
#define Vkl076_ADDR   					0x7c    // IICַ
//#define Vkl076_ICSET       			0xe8    // IC  bit0ʱԴ  bit1λ      bit2ӳַbit5
//																				// ĬΪ0 ڲRC  ִλ  
#define Vkl076_SOFTRST       		0xea    //ִλ   
#define Vkl076_ADDR5_0       		0xe8    //ӳַbit5 
#define Vkl076_ADDR5_1       		0xec    //ӳַbit5 
#define Vkl076_ADSET       			0x00    //ӳַbit4-0 
#define Vkl076_MODESET_1_3_ON  	0xc8    // ʾ 1/3bias
#define Vkl076_MODESET_1_3_OFF 	0xc0    // رʾ 1/3bias
#define Vkl076_MODESET_1_2_ON  	0xcc    // ʾ 1/2bias
#define Vkl076_MODESET_1_2_OFF 	0xc4    // رʾ 1/2bias
//ʾ
#define Vkl076_DISCTL			      0xA0  	//bit7~bit5=101 
//bit4-bit3ʡģʽFR bit2LINE,FRAME bit1-bit0ʡģʽSR
//Inor=1  Im1=0.5Inor  Im2=0.67Inor  Ihp=1.8Inor
//ʡģʽFR
#define Vkl076_FRNOR       0x00  //bit4-bit3=00   FR NORMAL 					ϵĬ 
#define Vkl076_FRPM1       0x08  //bit4-bit3=01   FR POWER SAVE MODE1
#define Vkl076_FRPM2       0x10  //bit4-bit3=10   FR POWER SAVE MODE2
#define Vkl076_FRPM3       0x18  //bit4-bit3=11   FR POWER SAVE MODE3 ʡ
//ʡģʽSR
#define Vkl076_SRHP        0x03  //bit1-bit0=11   SR NORMAL 
#define Vkl076_SRNOR       0x02  //bit1-bit0=10   SR POWER SAVE MODE1 ϵĬ 
#define Vkl076_SRPM2       0x01  //bit1-bit0=01   SR POWER SAVE MODE2
#define Vkl076_SRPM1       0x00  //bit1-bit0=00   SR POWER SAVE MODE1 ʡ
//LINE FRAME
#define Vkl076_LINER       0x00  //bit2=0   LINEת	ϵĬ
#define Vkl076_FRAMER      0x04  //bit2=1   FRAMEת ʡ
//ʾ
//Vkl076_FRPM1|Vkl076_SRPM1|Vkl076_FRAMER    //
//Vkl076_FRPM2|Vkl076_SRPM1|Vkl076_FRAMER    //
//Vkl076_FRPM3|Vkl076_SRPM1|Vkl076_FRAMER    //ʡ
//Vkl076_FRNOR|Vkl076_SRHP|Vkl076_LINER      //
//˸
#define Vkl076_BLKCTL_OFF      0xF0  // ر˸
#define Vkl076_BLKCTL_05HZ     0xF1  // ˸ƵΪ0.5HZ
#define Vkl076_BLKCTL_1HZ      0xF2  // ˸ƵΪ1HZ
#define Vkl076_BLKCTL_2HZ      0xF3  // ˸ƵΪ2HZ
//ȫǿп,ʾڴ޹,ȫΪִ
#define Vkl076_APCTL_APON_ON   0xFE // ȫǿȫʾ_
#define Vkl076_APCTL_APON_OFF  0xFC // ȫǿȫʾ_
#define Vkl076_APCTL_APOFF_ON  0xFD // ȫǿйʾ_
#define Vkl076_APCTL_APOFF_OFF 0xFC // ȫǿйʾ_

//seg
#define 	Vkl076_SEGNUM				19

//¹ܽøݿͻƬӦ޸ 
#define Vkl076_SCL_PIN    BIT13
#define Vkl076_SCL_PORT   PA
#define Vkl076_SCL_IO     PA13

#define Vkl076_SDA_PIN    BIT15
#define Vkl076_SDA_PORT   PA
#define Vkl076_SDA_IO     PA15

//¹ܽݿͻƬӦ޸
#define Vkl076_SCL_H() 				Vkl076_SCL_IO = 1 
#define Vkl076_SCL_L() 				Vkl076_SCL_IO = 0 

#define Vkl076_SDA_H() 				Vkl076_SDA_IO = 1 
#define Vkl076_SDA_L() 				Vkl076_SDA_IO = 0 

#define Vkl076_GET_SDA() 			Vkl076_SDA_IO
//ƬSDAΪIOҪΪ
//ݿͻƬ޸
#define Vkl076_DIRDAT_PIN   	BIT0
#define Vkl076_DIRDAT_PORT  	PB
#define Vkl076_DIRDAT_IO    	PB0
#define Vkl076_DIRDAT1_PIN   	BIT12
#define Vkl076_DIRDAT1_PORT  	PA
#define Vkl076_DIRDAT1_IO    	PA12
#define Vkl076_SET_SDA_DIR() 	{\
	GPIO_SetMode(Vkl076_DIRDAT_PORT, Vkl076_DIRDAT_PIN, GPIO_MODE_OUTPUT);\
	GPIO_SetMode(Vkl076_DIRDAT1_PORT, Vkl076_DIRDAT1_PIN, GPIO_MODE_OUTPUT);\
}
#define Vkl076_SET_SDA_IN() 	{\
  Vkl076_DIRDAT_IO = 0;\
  Vkl076_DIRDAT1_IO = 0;\
}
#define Vkl076_SET_SDA_OUT() 	{\
 	Vkl076_DIRDAT_IO = 1;\
  Vkl076_DIRDAT1_IO = 1;\
}
/* Exported functions ------------------------------------------------------- */
void Vkl076_Init(void);
void Vkl076_DisAll(unsigned char dat);
void Vkl076_DisSegComOn(unsigned char seg,unsigned char com);
void Vkl076_DisSegComOff(unsigned char seg,unsigned char com);

void Vkl076_Main(void);
#endif  /*__VKl076_H*/

/************************END OF FILE****/
